Subject: Re: Xilinx SystemACE driver for 2.6

From: "David H. Lynch Jr." <[email-masked]>
Date: Sat, 01 Jul 2006 02:21:28 -0400

Andrei Konovalov wrote:
>>
>> I use this version only because I want to implement the Temac driver in the 
>> link of 
>> http://ozlabs.org/pipermail/linuxppc-embedded/2006-March/022365.html It 
>> looks that the patches are specific for that version. 
>>     
>
> There is nothing special in the TEMAC driver that binds it to 2.6.16-rc5.
> The patch was generated against and tested with that kernel version. That's all.
> The patch will probably not apply cleanly to the more recent kernels. But
> otherwise it should work.
>
> In other words, feel free to use that TEMAC patch with the recent kernel.
>   
    I am trying to get a local link version of the hard TEMAC that is
part of the V4 FX FPGA working against a 2.6 Kernel. Would this be an
appropriate patch for that ?
    Is it even close ?

    There are so many different Xilinx (and other) TEMACs floating
around and so many permutation of those that my head is fogged in.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein